MathJax = {
  tex: {
    inlineMath: [['$', '$'], ['\\(', '\\)']]
  },
  options: {
    processHtmlClass: 'mjrender'
  }
}

const mailer = what => {
  var out = "";
  console.log(out);
  var i = 0;
  what.split(",").forEach(function (ch) {
    if (i % 2 == 1) {
      out += ch;
    }
    i++;
  })
  console.log(out);
  return out;
}

function formatTime(input) {
  var hours = input.getHours();
  var minutes = input.getMinutes();
  if (minutes < 10) {
    minutes = "0" + minutes;
  }
  if (hours < 10) {
    hours = "0" + hours;
  }
  var utc = input.getTimezoneOffset() / 60;
  console.log(utc);
  var sign = "+";
  if (utc < 0) {
    sign = "";
  }
  return "" + hours + ":" + minutes + " in Paris (UTC" + sign + utc + ")";
}

function updateTime() {
  var elem = document.getElementById("time-display");
  elem.textContent = formatTime(new Date());
}

function treatLinks() {
  const external_links = document.querySelectorAll(".external");
  console.log("called");
  external_links.forEach(function (link) {
    link.rel = "noopener noreferrer";
    link.target = "_blank";
  })
}

function convertTimes() {
  const time_elements = document.querySelectorAll("#time-element");
  time_elements.forEach(function (time) {
    var utcTime = time.textContent;
    console.log(utcTime);
    var localTime = new Date(utcTime);
    time.textContent = formatTime(localTime);
  });
}

function treatMails() {
  console.log("tmc");
  const mails = document.querySelectorAll(".email");
  mails.forEach(function (mail) {
    var dec = mailer(mail.href);
    mail.href = dec;
  })
}

function add_html_to_links(selector) {
  const links = document.querySelectorAll(selector);
  links.forEach(function (link) {
    if (!link.href.endsWith("/")) link.href += ".html";
  });
}


window.onload = function () {
  treatLinks();
  convertTimes();
  treatMails();
  // we add '.html' to every link (identified via the '.internal-link' class) 
  // to ensure that a locally hosted version will also work.
  if (document.location.href.endsWith(".html")) {
    add_html_to_links(".internal-link, .navigation-link");
  } else {
    console.log("not adding '.html' to links for url " + document.location.href);
  }
};
